## shim-signed 1.47+genuen6u1

=== Makefile ===
all: verify

verify:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim$(EFI_ARCH).efi.signed
	sbverify --cert Genuen2025-12-21.crt shim$(EFI_ARCH).efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig1 shim$(EFI_ARCH).efi.signed
	sbattach --signum 2 --detach build/detached-sig2 shim$(EFI_ARCH).efi.signed
	cp /usr/lib/shim/shim$(EFI_ARCH).efi build/shim$(EFI_ARCH).efi.signed
	sbattach --attach build/detached-sig1 build/shim$(EFI_ARCH).efi.signed
	sbattach --attach build/detached-sig2 build/shim$(EFI_ARCH).efi.signed
	cmp shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed
	sha256sum shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.47+genuen6u1) unstable; urgency=medium

  * New binaries signed by the Genuen's own key allowing
    Linux-libre to work with Windows' Secure Boot
  * Add the above certificate to /usr/share/shim

 -- Aitor <aitor@genuen.org>  Mon, 22 Dec 2025 22:06:16 +0100

## shim-signed 1.51

=== debian/changelog ===
shim-signed (1.51) impish; urgency=medium

  * Update to shim 15.4-0ubuntu9
    - Fix booting installer media on some machines (LP: #1937115)
      + Always fallback to the default loader (PR #393)
      + Dump load options parsed (PR #393)
      + Disable load option parsing on removable media path (PR #399)
    - trivial: Fix a minor overflow in the mok importing code (PR #365)
    - Fix fall back loader to find the correct boot entry, avoiding potential
      corruption of firmware (PR #396).

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 13 Aug 2021 18:00:15 +0200

shim-signed (1.50) impish; urgency=medium

  * download-signed: Fetch signed artefacts from versioned URL instead
    of current/ symlink to work around caching (LP: #1936640)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 16 Jul 2021 13:18:10 +0200

shim-signed (1.49) impish; urgency=medium

  * Update to shim 15.4-0ubuntu7:
    - Fix load option parsing, and thus fwupd execution (LP: #1929471) (PR #379)
    - Fix occasional crashes in _relocate() on arm64 (LP: #1928010) (PR #383)
    - Fix accidental deletion of RT variables (LP: #1934506) (PR #387)
    - mok: relax the maximum variable size check (LP: #1934780) (PR #369)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 15 Jul 2021 11:00:51 +0200

shim-signed (1.48) impish; urgency=medium

  [ Dimitri John Ledkov ]
  * Ship externally signed shims in the source package, instead of
    detached signatures.

  [ Steve Langasek ]
  * Restore build-time 'cmp' check to assert that the output of sbattach
    matches the binary received from Microsoft.
  * Include external-$arch.p7c in the clean target.

  [ Julian Andres Klode ]
  * download-signed: Work around non-HTTP apt sources
  * Update to shim 15.4-0ubuntu5:
    - Stop addending vendor dbx to MokListXRT during MokListX mirroring. This
      is causing systems to run out of EFI storage space, or just hang up
      when trying to write it (LP: #1924605) (LP: #1928434)
    - Further relax the check for variable mirroring on non-secureboot systems
      avoiding boot failures on out of space conditons (pull request #372)
    - Don't unhook ExitBootServices() when EBS protection is disabled
      (LP: #1931136) (pull request #378)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 22 Jun 2021 12:19:31 +0200

shim-signed (1.47) impish; urgency=medium

  [ Balint Reczey ]
  * Fix boot on EFI 1.10 machines, for example on some MacBooks (LP: #1925010)

  [ Dimitri John Ledkov ]
  * Fix kernel warning when allocating MOK table (LP: #1925139)
  * Fix booting with shim SBState disabled (LP: #1925140)
  * Use -Zxz compression, for compatibility with dpkg in older releases.
    LP: #1925673

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Apr 2021 10:46:25 +0100

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt, efitools
Standards-Version: 3.9.4
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed

Package: shim-signed
Architecture: amd64 arm64
Depends: ${misc:Depends}, grub-efi-amd64-signed | grub-efi-arm64-signed, grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
Breaks: shim (<< 15.3)
Replaces: shim (<< 15.3)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
XB-Important: yes
Protected: yes
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

## shim-signed 1.51.3

=== debian/changelog ===
shim-signed (1.51.3) jammy; urgency=medium

  [ dann frazier ]
  * Fix arm64 issues due to hardcoding "x64" as the EFI architecture.
    (LP: #2004208)
  * is-not-revoked: Support vmlinux.gz files as used on arm64.
    (LP: #2004201)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 31 Jan 2023 12:57:37 +0100

shim-signed (1.51.1) jammy; urgency=medium

  * New upstream version 15.7 (LP: #1996503)
    - SBAT level: shim,3
    - SBAT policy bumped to for grub,2 in previous and grub,3 in latest:
      SBAT policy: latest="shim,2\ngrub,3\n" previous="grub,2\n"
  * SECURITY FIX: Buffer overflow when loading crafted EFI images.
      - CVE-2022-28737
  * debian/control: Depend on new grub versions (1.191 on lunar+, 1.187.2 elsewhere)
  * Break fwupd-signed signed with old keys
  * Check for revoked fb,mm binaries in build, grubs, fwupd in autopkgtest
  * Install both previous and latest shim as alternatives. On secure boot
    systems, if the current kernel or any newer one is revoked, the previous
    shim will continue to be used until current kernel and all newer ones
    are signed with a non-revoked key.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 26 Jan 2023 13:03:25 +0100

## shim-signed 1.51.4

=== debian/changelog ===
shim-signed (1.51.4) jammy; urgency=medium

  * New upstream version 15.8 (LP: #2051151):
    - pe: Align section size up to page size for mem attrs (LP: #2036604)
    - SBAT level: shim,4
    - SBAT policy:
      - Latest: "shim,4\ngrub,3\ngrub.debian,4\n"
      - Automatic: "shim,2\ngrub,3\ngrub.debian,4\n"
      - Note that this does not yet revoke pre NTFS CVE fix GRUB binaries.
  * SECURITY UPDATE: a bug in an error message [LP: #2051151]
    - mok: fix LogError() invocation
    - CVE-2023-40546
  * SECURITY UPDATE: out-of-bounds write and UEFI Secure Boot bypass
    when booting via HTTP [LP: #2051151]
    - avoid incorrectly trusting HTTP headers
    - CVE-2023-40547
  * SECURITY UPDATE: out-of-bounds write and possible bug [LP: #2051151]
    - Fix integer overflow on SBAT section size on 32-bit system
    - CVE-2023-40548
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - Authenticode: verify that the signature header is in bounds.
    - CVE-2023-40549
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - pe: Fix an out-of-bound read in verify_buffer_sbat()
    - CVE-2023-40550
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - pe-relocate: Fix bounds check for MZ binaries
    - CVE-2023-40551

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 04 Apr 2024 13:54:55 +0100

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)
export SHIM_VERSION

ifeq ($(DEB_TARGET_ARCH),amd64)
export EFI_ARCH := X64
endif
ifeq ($(DEB_TARGET_ARCH),arm64)
export EFI_ARCH := AA64
endif
export EFI_ARCH_LOWER := $(shell echo $(EFI_ARCH) | tr A-Z a-z)
export SHIM_BASE = shim$(EFI_ARCH_LOWER).efi
export FB_BASE = fb$(EFI_ARCH_LOWER).efi
export MM_BASE = mm$(EFI_ARCH_LOWER).efi

%:
	dh $@

docdir := debian/shim-signed/usr/share/doc/shim-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)

override_dh_builddeb:
	dh_builddeb -- -Zxz

## shim-signed 1.54

=== debian/changelog ===
shim-signed (1.54) kinetic; urgency=medium

  [ dann frazier ]
  * Fix arm64 issues due to hardcoding "x64" as the EFI architecture.
    (LP: #2004208)
  * is-not-revoked: Support vmlinux.gz files as used on arm64.
    (LP: #2004201)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 31 Jan 2023 12:57:37 +0100

shim-signed (1.52) kinetic; urgency=medium

  * New upstream version 15.7 (LP: #1996503)
    - SBAT level: shim,3
    - SBAT policy bumped to for grub,2 in previous and grub,3 in latest:
      SBAT policy: latest="shim,2\ngrub,3\n" previous="grub,2\n"
  * SECURITY FIX: Buffer overflow when loading crafted EFI images.
      - CVE-2022-28737
  * debian/control: Depend on new grub versions (1.191 on lunar+, 1.187.2 elsewhere)
  * Break fwupd-signed signed with old keys
  * Check for revoked fb,mm binaries in build, grubs, fwupd in autopkgtest
  * Install both previous and latest shim as alternatives. On secure boot
    systems, if the current kernel or any newer one is revoked, the previous
    shim will continue to be used until current kernel and all newer ones
    are signed with a non-revoked key.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 26 Jan 2023 13:03:25 +0100

## shim-signed 1.56

=== debian/changelog ===
shim-signed (1.56) mantic; urgency=medium

  * Drop --auto-nvram from grub-multi-install call (LP: #2037185)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 04 Oct 2023 18:54:03 +0200

## shim-signed 1.58

=== Makefile ===
ifneq ($(NO_EXTERNAL),1)

all:
	mkdir -p build
	# Download unsigned & signed shim
	./download-signed shim current shim signed

	# Copy unsigned shim
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/

	# Create detached signature from externally signed shim
	sbattach --detach external-$(EFI_ARCH_LOWER).p7c external-shim$(EFI_ARCH_LOWER).efi

	# Attach external signature to unsigned & signed shims
	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE)
	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE).signed

	# Copy external & dualsigned shims
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed.latest
	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned
	cp external-shim$(EFI_ARCH_LOWER).efi.previous build/$(SHIM_BASE).signed.previous

	# Move archive signed fb*.efi & mm*.efi
	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
	mv $(SHIM_VERSION)/$(MM_BASE).signed build/$(MM_BASE)

	# Generate BOOT.CSV
	echo "$(SHIM_BASE),ubuntu,,This is the boot entry for ubuntu" | iconv -t UCS-2LE > build/BOOT$(EFI_ARCH).CSV

check:
	# Verify all signatures
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.latest
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.previous
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).dualsigned
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
	# verify sbattach binary output matches the externally-signed binary
	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed.latest
	# Check that we are not signed with revoked keys
	./is-not-revoked  build/$(FB_BASE) build/$(MM_BASE) build/$(SHIM_BASE).dualsigned

clean:
	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c

else

all:
	mkdir -p build
	# Download unsigned & signed shim
	./download-signed shim current shim signed

	# Copy unsigned shim
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/

	# Copy archive signed shim
	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).signed.latest
	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).signed.previous
	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned

	# Move archive signed fb*.efi & mm*.efi
	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
	mv $(SHIM_VERSION)/$(MM_BASE).signed build/$(MM_BASE)

	# Generate BOOT.CSV
	echo "$(SHIM_BASE),ubuntu,,This is the boot entry for ubuntu" | iconv -t UCS-2LE > build/BOOT$(EFI_ARCH).CSV

check:
	# Verify all signatures
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).signed.latest
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).signed.previous
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
	# Check that we are not signed with revoked keys
	./is-not-revoked  build/$(FB_BASE) build/$(MM_BASE) build/$(SHIM_BASE).dualsigned

clean:
	rm -rf build $(SHIM_VERSION)

endif

=== debian/changelog ===
shim-signed (1.58) noble; urgency=medium

  * Prevent postinst failing when broken grub-common was previously
    installed(LP: #2056562)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 04 Apr 2024 13:39:00 +0100

shim-signed (1.57) mantic; urgency=medium

  * New upstream version 15.8 (LP: #2051151):
    - pe: Align section size up to page size for mem attrs (LP: #2036604)
    - SBAT level: shim,4
    - SBAT policy:
      - Latest: "shim,4\ngrub,3\ngrub.debian,4\n"
      - Automatic: "shim,2\ngrub,3\ngrub.debian,4\n"
      - Note that this does not yet revoke pre NTFS CVE fix GRUB binaries.
  * SECURITY UPDATE: a bug in an error message [LP: #2051151]
    - mok: fix LogError() invocation
    - CVE-2023-40546
  * SECURITY UPDATE: out-of-bounds write and UEFI Secure Boot bypass
    when booting via HTTP [LP: #2051151]
    - avoid incorrectly trusting HTTP headers
    - CVE-2023-40547
  * SECURITY UPDATE: out-of-bounds write and possible bug [LP: #2051151]
    - Fix integer overflow on SBAT section size on 32-bit system
    - CVE-2023-40548
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - Authenticode: verify that the signature header is in bounds.
    - CVE-2023-40549
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - pe: Fix an out-of-bound read in verify_buffer_sbat()
    - CVE-2023-40550
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - pe-relocate: Fix bounds check for MZ binaries
    - CVE-2023-40551
  * Makefile: Add option for building without an externally signed shim

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 29 Feb 2024 10:26:43 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 Package: shim-signed
 Architecture: amd64 arm64
-Depends: ${misc:Depends}, grub-efi-amd64-signed | grub-efi-arm64-signed, grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
-Breaks: shim (<< 15.3)
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.191~) | grub-efi-arm64-signed (>= 1.191~) | base-files (<< 12.3), grub-efi-amd64-signed (>= 1.187.2~) | grub-efi-arm64-signed (>= 1.187.2~), grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
+Breaks: shim (<< 15.3), fwupd-signed (<< 1.44.1~), grub-common (= 2.12-1ubuntu3)
 Replaces: shim (<< 15.3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})

## shim-signed 1.59

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,24 @@
 	# Download unsigned & signed shim
 	./download-signed shim current shim signed
 
-	# Copy unsigned shim
+	# Copy unsigned shims
 	cp $(SHIM_VERSION)/$(SHIM_BASE) build/
+	cp $(SHIM_VERSION)/$(SHIM_NX) build/
 
-	# Create detached signature from externally signed shim
+	# Create detached signature from externally signed shims
 	sbattach --detach external-$(EFI_ARCH_LOWER).p7c external-shim$(EFI_ARCH_LOWER).efi
+	sbattach --detach external-$(EFI_ARCH_LOWER).nx.p7c external-shim$(EFI_ARCH_LOWER).nx.efi
 
 	# Attach external signature to unsigned & signed shims
 	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE)
 	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE).signed
+	sbattach --attach external-$(EFI_ARCH_LOWER).nx.p7c $(SHIM_VERSION)/$(SHIM_NX)
 
 	# Copy external & dualsigned shims
 	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed.latest
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned
 	cp external-shim$(EFI_ARCH_LOWER).efi.previous build/$(SHIM_BASE).signed.previous
+	cp $(SHIM_VERSION)/$(SHIM_NX) build/$(SHIM_NX).signed.latest
 
 	# Move archive signed fb*.efi & mm*.efi
 	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
@@ -33,15 +37,17 @@
 	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.previous
 	sbverify --verbose --cert external.pem build/$(SHIM_BASE).dualsigned
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
+	sbverify --verbose --cert external.pem build/$(SHIM_NX).signed.latest
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
 	# verify sbattach binary output matches the externally-signed binary
 	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed.latest
+	cmp external-shim$(EFI_ARCH_LOWER).nx.efi build/$(SHIM_NX).signed.latest
 	# Check that we are not signed with revoked keys
 	./is-not-revoked  build/$(FB_BASE) build/$(MM_BASE) build/$(SHIM_BASE).dualsigned
 
 clean:
-	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c
+	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c external-$(EFI_ARCH_LOWER).nx.p7c
 
 else
 
@@ -50,13 +56,15 @@
 	# Download unsigned & signed shim
 	./download-signed shim current shim signed
 
-	# Copy unsigned shim
+	# Copy unsigned shims
 	cp $(SHIM_VERSION)/$(SHIM_BASE) build/
+	cp $(SHIM_VERSION)/$(SHIM_NX) build/
 
 	# Copy archive signed shim
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).signed.latest
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).signed.previous
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned
+	cp $(SHIM_VERSION)/$(SHIM_NX).signed build/$(SHIM_NX).signed.latest
 
 	# Move archive signed fb*.efi & mm*.efi
 	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
@@ -67,6 +75,7 @@
 
 check:
 	# Verify all signatures
+	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_NX).signed.latest
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).signed.latest
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).signed.previous
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned

=== debian/changelog ===
shim-signed (1.59) oracular; urgency=medium

  * d/control: Update "Maintainer" to correctly reflect current status
  * Remove old "debian/files" committed by mistake
  * d/control: Depend on NX compatible GRUB2
  * Add Microsoft signed shim 15.8-0ubuntu2 binaries
  * Consume and install NX shim (LP: #2076227)
  * Do not default to NX shim to allow Windows 10 chainloading

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 01 Oct 2024 11:14:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: shim-signed
 Section: utils
 Priority: optional
-Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt, efitools
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
@@ -9,7 +9,7 @@
 
 Package: shim-signed
 Architecture: amd64 arm64
-Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.191~) | grub-efi-arm64-signed (>= 1.191~) | base-files (<< 12.3), grub-efi-amd64-signed (>= 1.187.2~) | grub-efi-arm64-signed (>= 1.187.2~), grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.204~) | grub-efi-arm64-signed (>= 1.204~), grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
 Breaks: shim (<< 15.3), fwupd-signed (<< 1.44.1~), grub-common (= 2.12-1ubuntu3)
 Replaces: shim (<< 15.3)
 Recommends: secureboot-db

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 endif
 export EFI_ARCH_LOWER := $(shell echo $(EFI_ARCH) | tr A-Z a-z)
 export SHIM_BASE = shim$(EFI_ARCH_LOWER).efi
+export SHIM_NX = shim$(EFI_ARCH_LOWER).nx.efi
 export FB_BASE = fb$(EFI_ARCH_LOWER).efi
 export MM_BASE = mm$(EFI_ARCH_LOWER).efi
